Distribution:   CCux
Packager:       Karsten Brockmann <arcam@ccux-linux.de>

Summary:	file manager for Xfce
Name:		Thunar
Version:	1.0.2
Release:	1
License:	GNU/GPL
URL:		http://thunar.xfce.org/
Source0:	%{name}-%{version}.tar.bz2
Patch0:		%{name}-0.5.0-desktop.patch
Group:		Graphical Desktop/Xfce/Extras
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Requires(pre):  desktop-file-utils

# Manual build dependencies
#BuildRequires:  fam-devel
BuildRequires:  ORBit2-devel
BuildRequires:  popt

BuildRequires: libwnck-devel
BuildRequires: libxfcegui4-devel
BuildRequires: libXres-devel

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: exo-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: gamin-devel
BuildRequires: GConf-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gtk2+-devel
BuildRequires: hal-devel
BuildRequires: libexif-devel
BuildRequires: libICE-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libsmbios-devel
BuildRequires: libSM-devel
BuildRequires: libstdc++-devel
BuildRequires: libX11-devel
BuildRequires: libxcb-devel
BuildRequires: libxfce4util-devel
BuildRequires: libXrender-devel
BuildRequires: ncurses-devel
BuildRequires: pango-devel
BuildRequires: pcre-devel
BuildRequires: pixman-devel
BuildRequires: pkg-config
BuildRequires: startup-notification-devel
BuildRequires: util-linux-ng
BuildRequires: xcb-util-devel
BuildRequires: xfce4-panel-devel
BuildRequires: xfconf-devel
BuildRequires: zlib-devel

%description
Thunar is a new modern file manager for the Xfce Desktop Environment.
Thunar has been designed from the ground up to be fast and easy-to-use.
Its user interface is clean and intuitive, and does not include any
confusing or useless options. Thunar is fast and responsive with a
good start up time and directory load time. Thunar is accessible using
Assistive Technologies and is fully standards compliant.

%package	devel
Summary:        Development files for %{name}
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description	devel
Static libraries and header files for %{name}.

%post
update-desktop-database &> /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
update-desktop-database &> /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%prep
%setup -qn %{name}-%{version}
%patch0 -p0

%build
%configure --sysconfdir=%_sysconfdir/xfce --libexecdir=%_libexecdir --disable-gtk-doc
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT mandir=%_mandir
rm -rf %{buildroot}%_datadir/gtk-doc
#%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_sysconfdir}/xfce/xdg/Thunar/uca.xml
%{_bindir}/thunar
%{_bindir}/Thunar
%{_bindir}/thunar-settings
%{_libdir}exec/ThunarBulkRename
%{_libdir}exec/ThunarHelp
%{_libdir}exec/thunar-sendto-email
%{_libdir}exec/thunar-vfs-font-thumbnailer-1
%{_libdir}exec/thunar-vfs-mime-cleaner-1
%{_libdir}exec/thunar-vfs-pixbuf-thumbnailer-1
%{_libdir}exec/thunar-vfs-update-thumbnailers-cache-1
%{_libdir}exec/xfce4/panel-plugins/thunar-tpa
%{_libdir}/libthunar-vfs-1.so.*
%{_libdir}/libthunarx-1.so.*
%{_libdir}/thunarx-1/thunar-apr.so
%{_libdir}/thunarx-1/thunar-sbr.so
%{_libdir}/thunarx-1/thunar-uca.so
%{_libdir}/thunarx-1/thunar-wallpaper-plugin.so
%{_applications}/Thunar-bulk-rename.desktop
%{_applications}/Thunar.desktop
%{_applications}/Thunar-folder-handler.desktop
%{_applications}/thunar-settings.desktop
%{_datadir}/dbus-1/services/org.xfce.FileManager.service
%{_datadir}/dbus-1/services/org.xfce.Thunar.service
%{_docdir}/Thunar/html/*/advanced-topics.html
%{_docdir}/Thunar/html/*/copyright.html
%{_docdir}/Thunar/html/*/customizing-thunar.html
%{_docdir}/Thunar/html/*/faq.html
%{_docdir}/Thunar/html/*/images/bulk-rename.png
%{_docdir}/Thunar/html/*/images/file-manager-window.png
%{_docdir}/Thunar/html/*/images/file-properties.png
%{_docdir}/Thunar/html/*/images/preferences-advanced.png
%{_docdir}/Thunar/html/*/images/preferences-behavior.png
%{_docdir}/Thunar/html/*/images/preferences-side-pane.png
%{_docdir}/Thunar/html/*/images/preferences-views.png
%{_docdir}/Thunar/html/*/images/removable-drives-and-media.png
%{_docdir}/Thunar/html/*/images/removable-media-unmount.png
%{_docdir}/Thunar/html/*/images/sendto-menu.png
%{_docdir}/Thunar/html/*/images/visible-columns.png
%{_docdir}/Thunar/html/*/index.html
%{_docdir}/Thunar/html/*/preferences.html
%{_docdir}/Thunar/html/*/support.html
%{_docdir}/Thunar/html/*/the-file-manager-window.html
%{_docdir}/Thunar/html/*/using-removable-media.html
%{_docdir}/Thunar/html/*/working-with-files-and-folders.html
%{_docdir}/Thunar/html/thunar.css
%{_docdir}/Thunar/README.gtkrc
%{_docdir}/Thunar/README.thunarrc
%{_docdir}/Thunar/README.volumes
%{_docdir}/Thunar/ThumbnailersCacheFormat.txt
%{_datadir}/icons/hicolor/*/apps/Thunar.png
%{_datadir}/icons/hicolor/16x16/stock/navigation/stock_thunar-shortcuts.png
%{_datadir}/icons/hicolor/16x16/stock/navigation/stock_thunar-templates.png
%{_datadir}/icons/hicolor/scalable/apps/Thunar.svg
%{_locale}/*/LC_MESSAGES/Thunar.mo
%{_mandir}/man1/Thunar.1.gz
%{_pixmaps}/Thunar/Thunar-about-logo.png
%{_pixmaps}/Thunar/Thunar-fallback-icon.png
%{_datadir}/thumbnailers/thunar-vfs-font-thumbnailer-1.desktop
%{_datadir}/Thunar/sendto/thunar-sendto-email.desktop
%{_datadir}/xfce4/panel-plugins/thunar-tpa.desktop

%files devel
%defattr(-,root,root)
%{_includedir}/thunar-vfs-1/thunar-vfs
%{_includedir}/thunarx-1/thunarx
%{_libdir}/libthunar-vfs-1.la
%{_libdir}/libthunar-vfs-1.so
%{_libdir}/libthunarx-1.la
%{_libdir}/libthunarx-1.so
%{_pkgconfig}/thunar-vfs-1.pc
%{_pkgconfig}/thunarx-1.pc
%{_libdir}/thunarx-1/thunar-apr.la
%{_libdir}/thunarx-1/thunar-sbr.la
%{_libdir}/thunarx-1/thunar-uca.la
%{_libdir}/thunarx-1/thunar-wallpaper-plugin.la

%changelog
* Mon May 24 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.0.2-1
- Version Update
* Sun Sep 13 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.0.1-1
- Version Update
* Sat Mar 14 2009 Christian Wasem <wasem@ccux-linux.de> 1.0.0-1
- Version update
* Sun Feb 15 2009 Christian Wasem <wasem@ccux-linux.de> 0.9.92-1
- Version update
* Sun Feb 15 2009 Christian Wasem <wasem@ccux-linux.de> 0.9.3-1
- Version Update
* Sun Dec 30 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.9.0-1
- Version Update
* Sun Oct 07 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.8.0-2
- Rebuild Against XFCE 4.4.1
* Wed Jan 31 2007 Christian Metzen <metzench@ccux-linux.de> 0.8.0-1
- Version update
* Sat Nov 25 2006 Christian Metzen <metzench@ccux-linux.de> 0.5.0-2
- cleaned version, moved libexecdir and sysconfdir
* Thu Nov 23 2006 Stefan Gottwald <gotti@ccux-linux.de> 0.5.0-1
- Version Update RC2
* Mon Sep 04 2006 Stefan Gottwald <gotti@ccux-linux.de> 0.4.0-1
- Version Update, RC1
* Thu Jul 20 2006 Stefan Gottwald <gotti@ccux-linux.de> 0.3.2-1
- Version Update, beta2
* Wed May 03 2006 Christian Wasem <wasem@ccux-linux.de> 0.2.2-2
- rebuilt, added deskop patch
* Sun Mar 19 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.2.2-1
- Initial Release, alpha2
